{
	saved_FirstTime[0]

	Init[(s)
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
						
			SetNationality(1);
	
			PlayAnimation(26);
			GiveWeapon(56);
	
			SetAttackDistance(5);
			SetState_Patrol(0);
			SetLineOfSight(1);
			
			SetWander(0);
			
			DropWeaponOnDeath(false);
		}
	}]

	Respawn[ (where)
	{
		SetDead( false );
		SetRunning();
		PlayAnimation(1);
		GiveWeapon(56);
		
		SetAttackDistance(5);
		SetState_Patrol(0);
		SetLineOfSight(1);
			
		SetWander(0);
		
		switch( where )
		{
			case 0
			{
				Level.saved_OnGun01 = Level.saved_OnGun01 +1;
				SetPosition(2360,4892,128);
				FollowPath("gunpath1");
				FollowPathCallback(127,"GunnerEnd",1);
			}

			case 1
			{
				Level.saved_OnGun02 = Level.saved_OnGun02 +1;
				SetPosition(29155,25059,325);
				FollowPath("gunpath2");
				FollowPathCallback(127,"GunnerEnd",2);
			}

			case 2
			{
				Level.saved_OnGun03 = Level.saved_OnGun03 +1;
				SetPosition(21105,26752,125);
				FollowPath("gunpath3");
				FollowPathCallback(127,"GunnerEnd",3);
			}

			case 3
			{
				Level.saved_OnGun04 = Level.saved_OnGun04 +1;
				SetPosition(12956,30848,573);
				FollowPath("gunpath4");
				FollowPathCallback(127,"GunnerEnd",4);
			}
		}
	}]

//	PathNodeReached[(path,node)
//	{
//		if(path = 0)
//		{
//			if (node = 1)
//			{
//				SetState_MG42(Level.GetEntity("mg42-01"));
//			}
//		}
//
//		if(path = 1)
//		{
//			if (node = 1)
//			{
//				SetState_MG42(Level.GetEntity("mg42-02"));
//			}
//		}
//
//		if(path = 2)
//		{
//			if (node = 1)
//			{
//				SetState_MG42(Level.GetEntity("mg42-03"));
//			}
//		}
//
//		if(path = 3)
//		{
//			if (node = 1)
//			{
//				SetState_MG42(Level.GetEntity("mg42-04"));
//			}
//		}
//	}]
	
	GunnerEnd[(gun)
	{
		ShowWeapon(false);
		
		if (gun = 1)
		{
			SetState_MG42(Level.GetEntity("mg42-01"));
		}
		
		if (gun = 2)
		{
			SetState_MG42(Level.GetEntity("mg42-02"));
		}
		
		if (gun = 3)
		{
			SetState_MG42(Level.GetEntity("mg42-03"));
		}
		
		if (gun = 4)
		{
			SetState_MG42(Level.GetEntity("mg42-04"));
		}
	}]
}